﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.JudicialManagement
{
    /// <summary>
    /// 左上工单数据模块
    /// </summary>
    public class OrderModuleDto
    {
        /// <summary>
        /// 行政执法工单
        /// </summary>
        public int EnforcementOrderNum { get; set; }

        /// <summary>
        /// 线索属实
        /// </summary>
        public int TheClueIsTrueNum { get; set; }

        /// <summary>
        /// 线索不属实
        /// </summary>
        public int TheClueIsNotTrueNum { get; set; }

        /// <summary>
        /// 推诿工单
        /// </summary>
        public int PassTheBuckOrderNum { get; set; }

        /// <summary>
        /// 满意工单
        /// </summary>
        public int SatisfiedCount { get; set; }

        /// <summary>
        /// 工单总量
        /// </summary>
        public int OrderCountNum { get; set; }


    }

    /// <summary>
    /// 左中受理类型
    /// </summary>
    public class OrderAcceptTypeStatisticsDto
    {
        /// <summary>
        /// 类型名称
        /// </summary>
        public string AcceptType { get; set; }

        /// <summary>
        /// 总量
        /// </summary>
        public int SumCount { get; set; }

        /// <summary>
        /// 在办
        /// </summary>
        public int HandlingCount { get; set; }

        /// <summary>
        /// 已办
        /// </summary>
        public int FiledCount { get; set; }

        /// <summary>
        /// 超期
        /// </summary>
        public int OverTimeCount { get; set; }
    }
}
